Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 5753)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 5754)
@@ -44,5 +44,5 @@
 		if (!expresso_offline) {
 			var update_tree_folders = function(data){
-				build_quota(data);
+				draw_quota(data);
 				var unseen_in_mailbox = 0;
 				var unseen_in_shared_folders = 0;
@@ -478,5 +478,5 @@
 		if(data) {
 			draw_tree_folders(data);
-			build_quota(data);
+			draw_quota(data);
 			var f_unseen = Element('dftree_'+current_folder+'_unseen');
 			if(f_unseen && f_unseen.innerHTML)
@@ -491,4 +491,6 @@
 		draw_new_tree_folder();	
 		draw_tree_labels();
+		if(Element("table_quota"))
+			connector.loadScript("InfoQuota");
 }
 
@@ -516,5 +518,5 @@
 			$("#new_m").html(($(".selected").find(".folder_unseen").html() != "0" && $(".selected").find(".folder_unseen").html() != null)? $(".selected").find(".folder_unseen").html() : "0").css("color", "red");
 			//update_menu();
-			$(".folders_loading").removeClass("folders_loading");
+			$(".folders-loading").removeClass("folders-loading");
 			return true;
 		}
@@ -522,5 +524,5 @@
 	}
 	else{
-		$(".folders_loading").removeClass("folders_loading");
+		$(".folders-loading").removeClass("folders-loading");
 		alternate_border(0);
 	}
@@ -1012,6 +1014,4 @@
 // Draw the inbox and another folders
 function draw_box(headers_msgs, msg_folder, alternate){
-
-//console.log(headers_msgs);
 	/*
 	 * When the paging response is not in the correct folder you need to change folder
@@ -1045,5 +1045,5 @@
 	 * into message array 
 	 */
-/*  	var messageNumbers = new Array();
+	var messageNumbers = new Array();
 	for (var i=0; i<headers_msgs.length; i++) {
 		messageNumbers.push(headers_msgs[i].msg_number);
@@ -1064,11 +1064,11 @@
 			}
 		}
-	} */
- 	
+	}
+	
 	/**
 	 * Get the followupflags applied to the messages and saves the information 
 	 * into message array 
 	 */
-/* 	var followupflaggeds = DataLayer.get('followupflagged', {
+	var followupflaggeds = DataLayer.get('followupflagged', {
 			criteria: {
 				filter: ['AND', ['IN', 'messageNumber', messageNumbers], ['=', 'folderName', msg_folder]],
@@ -1087,5 +1087,5 @@
 			}
 		}
-	} */
+	}
 	
 	/**
@@ -1351,18 +1351,18 @@
 					$(".shared-folders").parent().find(".folder").droppable("destroy");
 				},
-				helper: function(event){
+				//helper: 'clone',
+ 				helper: function(event){
 					$(this).find("input:checkbox").attr("checked", true);
 					if($("#table_box").find("tr input:checked").length > 1)
-						return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : (($("#table_box").find("tr input:checked")).length+" mensagens selecionadas"), type: "messages"}));
+						return $("<tr><td>"+DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : (($("#table_box").find("tr input:checked")).length+" mensagens selecionadas"), type: "messages"})+"</td></tr>");
 					if(	$(this).find(".td_msg_subject").text().length > 18 )
-						return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text().substring(0,18) + "...", type: "messages"}));
+						return $("<tr><td>"+DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text().substring(0,18) + "...", type: "messages"})+"</td></tr>");
 					else
-						return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text(), type: "messages"}));
-				},
-				cursorAt: {cursor: "move", top: 5, left: 56},
-				refreshPositions: true ,
-				scroll: true, 
-				scrollSensitivity: 100,
-				scrollSpeed: 100,
+						return $("<tr><td>"+DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text(), type: "messages"})+"</td></tr>");
+				}, 
+				iframeFix: true,
+				delay: 150,
+				cursorAt: { top: 5, left: 56},
+				refreshPositions: true,
 				containment: "#divAppbox"
 			}).bind('contextmenu',function(event){
@@ -2466,5 +2466,5 @@
 		//var option_mark_as_important			= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>, ';
 		//var option_mark_as_normal				= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'unflagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+'.\');">'+get_lang("Normal")+'</span> | ';
-		var block_user = '<!--<script src="../prototype/modules/filters/filters.js"></script>--><span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick ="block_user_email("'+info_msg.from.email+'");">'+get_lang("Block Sender")+'</span> | ';	
+		var block_user = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick ="block_user_email(\''+info_msg.from.email+'\');">'+get_lang("Block Sender")+'</span> | ';	
 		//var option_forward = '<span onclick="new_message(\'forward\',\''+ ID+'\');" onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options">'+get_lang("Forward")+'</span> | ';
 		var option_move	= '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=wfolders.makeWindow("'+ID+'","move_to");>'+get_lang("Move")+'</span> | ';
@@ -2479,5 +2479,5 @@
 		var report_error        = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=reports_window("'+currentTab+'");>'+get_lang("Report error")+'</span> | '; 
 
-		div_other_more_options.innerHTML += option_move + option_print + option_export + block_user + report_error;
+		div_other_more_options.innerHTML += option_move + option_print + option_export + block_user +  report_error;
 		
 		div_other_options.innerHTML += option_reply_without_history + option_reply_to_all_without_history + option_reply_to_all;
@@ -4207,5 +4207,5 @@
         var maxAttachmentSise = (preferences.max_attachment_size !== "" && preferences.max_attachment_size != 0) ? (parseInt(preferences.max_attachment_size.replace('M', '')) * 1048576 ) : false;
 
-	fileUploadMSG.fileupload({
+	fileUploadMSG.find(".button-files-upload").fileupload({
 		sequentialUploads: true,
 		add: function (e, data) {
@@ -4269,5 +4269,5 @@
                     
 		}
-	});
+	}).find('[name="files[]"]').css({"height" : "20px", "width": "100px", "border-width": "0 0 0px 0px", "-moz-transform" : "none"});
 
        fileUploadMSG.find("span.message-attach-link").click(function(event){
@@ -4333,5 +4333,7 @@
 
 	});
-//        
+//   style="width: 100px; height: 20px;"/   
+	//$('[name="files[]"]').css({"height" : "20px", "width": "100px", "border-width": "0 0 0px 0px", "cursor" : "pointer"});// "display": "none"
+ 	//$('[name="files[]"]').css({"display": "none"});-moz-transform : none;
 	return ID;
 }
@@ -4492,78 +4494,59 @@
 	}
 	else{
-	if(div)
-		div.innerHTML = '';
-	value = data['quota_percent'];
-	q_used = data['quota_used'];
-	table = document.getElementById("table_quota");
-	if(table)
-		table.parentNode.removeChild(table);
-	table = document.createElement("TABLE");
-	tbody = document.createElement("TBODY");
-	table.appendChild(tbody);
-	table.id = "table_quota";
-	table.width="102";
-	table.border="0";
-	table.cellSpacing = 0;
-	table.cellPadding = 0;
-
-	//tr1 = document.createElement("TR");
-	td11 = document.createElement("TD");
-	td11.align="center";
-	td11.setAttribute("noWrap","true");
-	td11.innerHTML += '&nbsp;<span class="boxHeaderText">' + value+"% ("+borkb(q_used*1024)+"/"+borkb(q_limit*1024)+")</span>";
-	//tr1.appendChild(td11);
-
-	tr2 = document.createElement("TR");
-	td21 = document.createElement("TD");
-	td21.setAttribute("noWrap","true");
-	td21.height="15";
-	td22 = document.createElement("TD");
-	td21.setAttribute("background","../phpgwapi/templates/"+template+"/images/dsunused.gif");
-	table221 = document.createElement("TABLE");
-	tbody221 = document.createElement("TBODY");
-	table221.appendChild(tbody221);
-	table221.style.width=value+"%";
-	td21.width="102";
-	table221.border="0";
-	table221.cellSpacing = 0;
-	table221.cellPadding = 0;
-	tr221 = document.createElement("TR");
-	td221 = document.createElement("TD");
-	td221.height="15";
-	if(value > 90) {
-		if(value >= 100)
-			write_msg(get_lang("Your Mailbox is 100% full! You must free more space or will not receive messages."));
-		else
-			write_msg(get_lang("Warning: Your Mailbox is almost full!"));
-		td221.setAttribute("background","templates/"+template+"/images/dsalert.gif");
-	}
-	else if(value > 80)
-		td221.setAttribute("background","templates/"+template+"/images/dswarn.gif");
-	else
-		td221.className = 'dsused';
-
-        td221.setAttribute("style","width: 100%");
-
-	tr221.appendChild(td221);
-	tbody221.appendChild(tr221);
-	td21.appendChild(table221);
-	tr2.appendChild(td21);
-	tr2.appendChild(td11);
-
-	//tr2.appendChild(td1);
-
-	tbody.appendChild(tr2); //Desenho
-	//tbody.appendChild(tr1); //Letras
-	div.appendChild(table);
+		if(div)
+			div.innerHTML = '';
+		value = data['quota_percent'];
+		q_used = data['quota_used'];
+		table = document.getElementById("table_quota");
+		if(table)
+			table.parentNode.removeChild(table);
+		table = document.createElement("TABLE");
+		tbody = document.createElement("TBODY");
+		table.appendChild(tbody);
+		table.id = "table_quota";
+		table.width="102";
+		table.border="0";
+		table.cellSpacing = 0;
+		table.cellPadding = 0;
+
+		//tr1 = document.createElement("TR");
+		td11 = document.createElement("TD");
+		td11.align="center";
+		td11.setAttribute("noWrap","true");
+		td11.innerHTML += '<div id="quota_progressbar" class="boxHeaderText" style="display: block; float: left; height: 13px; width: 121px;"></div>&nbsp;<span class="boxHeaderText" style="line-height : 0px;">' + value+"% ("+borkb(q_used*1024)+"/"+borkb(q_limit*1024)+")</span>";
+		//tr1.appendChild(td11);
+
+		tr2 = document.createElement("TR");
+		td22 = document.createElement("TD");
+
+		//td21.appendChild(table221);
+		//tr2.appendChild(td21);
+		tr2.appendChild(td11);
+		//tr2.appendChild(td1);
+
+		tbody.appendChild(tr2); //Desenho
+		//tbody.appendChild(tr1); //Letras
+		div.appendChild(table);
+		$("#quota_progressbar").progressbar({
+			value: value
+		});
+		if(value > 90) {
+			if(value >= 100)
+				write_msg(get_lang("Your Mailbox is 100% full! You must free more space or will not receive messages."));
+			else
+				write_msg(get_lang("Warning: Your Mailbox is almost full!"));
+			$("#quota_progressbar").find(".ui-progressbar-value").css({"background-image": "url(templates/default/images/dsalert.gif)", "border-color" : "red"});
+		}
+		else if(value > 80)
+			$("#quota_progressbar").find(".ui-progressbar-value").css({"background-image": "url(templates/default/images/dswarn.gif)", "border-color" : "yellow"});
 	}
 }
 
 function draw_quota(data){
-	build_quota(data);
+	this.build_quota(data);
 }
 
 function update_quota(folder_id){
-	cExecute ("$this.imap_functions.get_quota&folder_id="+folder_id,build_quota);
+	cExecute ("$this.imap_functions.get_quota&folder_id="+folder_id,this.build_quota);
 }
 
